#ifndef BOT_CONFIG_H
#define BOT_CONFIG_H

#include <dpp/json.h>

using json = nlohmann::json;

class config {
public:
    /**
     * Reads the config file and returns a json object.
     * @param path  path to the config file
     * @return  json object
     */
    static json read_config(const std::string& path);

    /**
     * Checks if the config file is valid.
     * @param config  json object
     * @return       true if valid, false if not
     */
    static bool is_valid_config(const json& config);
};


#endif //BOT_CONFIG_H
